Retrieves a batch.
curl --request GET \
--url https://api.siliconflow.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siliconflow.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siliconflow.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "batch_rdyqgrcgjg",
"object": "batch",
"endpoint": "/v1/chat/completions",
"errors": [],
"input_file_id": "file-jkvytbjtow",
"completion_window": "24h",
"status": "in_queue",
"output_file_id": null,
"error_file_id": null,
"created_at": 1741685413,
"in_progress_at": null,
"expires_at": 1741771813,
"finalizing_at": null,
"completed_at": null,
"failed_at": null,
"expired_at": null,
"cancelling_at": null,
"cancelled_at": null,
"request_counts": {},
"metadata": {
"description": "nightly eval job"
}
}"<string>""<string>""<string>""<string>""<string>"Retrieve batch
Retrieves a batch.
GET
/
batches
/
{batch_id}
Retrieves a batch.
curl --request GET \
--url https://api.siliconflow.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siliconflow.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siliconflow.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "batch_rdyqgrcgjg",
"object": "batch",
"endpoint": "/v1/chat/completions",
"errors": [],
"input_file_id": "file-jkvytbjtow",
"completion_window": "24h",
"status": "in_queue",
"output_file_id": null,
"error_file_id": null,
"created_at": 1741685413,
"in_progress_at": null,
"expires_at": 1741771813,
"finalizing_at": null,
"completed_at": null,
"failed_at": null,
"expired_at": null,
"cancelling_at": null,
"cancelled_at": null,
"request_counts": {},
"metadata": {
"description": "nightly eval job"
}
}"<string>""<string>""<string>""<string>""<string>"Response
The Batch object matching the specified ID.